> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify

> Validate 2FA code



## OpenAPI

````yaml /openapi/ebury-spec.json post /verify
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /verify:
    post:
      tags:
        - OAuth2.0
      summary: Verify
      description: Validate 2FA code
      parameters:
        - name: Authorization
          in: header
          description: >-
            Where credentials is a Base64 encoded string of
            auth_client_id:auth_client_secret
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          description: >-
            Your Authorization Client ID, identifies your application to the
            Authorisation Server
          required: true
          schema:
            type: string
        - name: code
          in: query
          description: >-
            Your Authorization Client ID, identifies your application to the
            Authorisation Server
          required: true
          schema:
            type: string
        - name: redirect_uri
          in: query
          description: >-
            The redirect URL that is registered for your application. This must
            match the value we hold.
          required: true
          schema:
            type: string
      requestBody:
        description: 2FA code to verify
        content:
          '*/*': {}
        required: true
      responses:
        '302':
          description: Redirect to your redirect_url
          content:
            application/json:
              schema:
                type: string
            text/html:
              schema:
                type: string
        '400':
          description: >-
            Formatting or schema validation error or invalid data.See error
            message for further details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
            text/html:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
        '401':
          description: Unauthorized. See error message for further details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
            text/html:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
        '429':
          description: Too many requests
          content: {}
        '495':
          description: Certificate Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
            text/html:
              schema:
                $ref: '#/components/schemas/AuthErrorMessage'
components:
  schemas:
    AuthErrorMessage:
      type: object
      properties:
        error:
          type: string
          description: The code for the error.
        error_description:
          type: string
          description: A short description of the cause of the error.
      description: An error message.
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````